Inhoud
Index 🔎︎

# GoSub...Return-instructie

Roept een subroutine aan die met een label uit een subroutine of een functie wordt aangegeven. De instructies na de label worden uitgevoerd tot de volgende Return-instructie. Daarna gaat het programma verder met de instructie die op de GoSub-instructie volgt.

## Syntaxis:

    zie 'Parameters'

## Parameters:

Sub/Function

instructieblok

Label

instructieblok

GoSub Label

Exit Sub/Function

Label:

instructieblok

Return

End Sub/Function

De instructie GoSub roept een lokale subroutine op die wordt aangegeven met een label, vanuit een subroutine of functie. De naam van de label moet met een dubbele punt (:) eindigen.

Als het programma een Return-instructie tegenkomt die niet door GoSub voorafgegaan wordt, geeft LibreOffice Basic een foutmelding. Gebruik Exit Sub of Exit Function om ervoor te zorgen dat het programma een 'Sub' of 'Function' verlaat voordat de volgende Return-instructie bereikt wordt.

In het volgende voorbeeld wordt het gebruik van GoSub en Return uitgelegd. Het programma kan de vierkantswortel berekenen van twee getallen die door de gebruiker worden ingevoerd, door een programmasectie tweemaal uit te voeren.

## Voorbeeld:

    Sub ExampleGoSub
    Dim iInputa As Single
    Dim iInputb As Single
    Dim iInputc As Single
        iInvoera = Int(InputBox$ ("Voer het eerste getal in: ","Getalinvoer"))
        iInvoerb = Int(InputBox$ ("Voer het tweede getal in: ","Getalinvoer"))
        iInputc=iInputa
        GoSub SquareRoot
        Print "De vierkantswortel van ";iInvoera;" is";iInvoerc
        iInputc=iInputb
        GoSub SquareRoot
        Print "De vierkantswortel van";iInvoerb;" is";iInvoerc
        Exit Sub
    SquareRoot:
        iInputc=sqr(iInputc)
        Return
    End Sub